Package org.eclipse.birt.report.model.api.elements.table

# Class FillCellsStrategy

java.lang.Object
org.eclipse.birt.report.model.api.elements.table.FillCellsStrategy

public class FillCellsStrategy extends Object
The strategy to fill empty areas with `LayoutCell`s and `Cell` elements.

## Constructor Summary

Constructors
Constructor
Description
`FillCellsStrategy(LayoutTable layoutTable, boolean fillsEmptyCells)`
Constructs a `DropStrategy` with the given table.

## Method Summary

Modifier and Type
Method
Description
`void`
`applyStrategy()`
Applies different stragegies to the layout table and table element with the given options.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FillCellsStrategy

public FillCellsStrategy(LayoutTable layoutTable, boolean fillsEmptyCells)
Constructs a `DropStrategy` with the given table.

Parameters:
  `layoutTable` - the layout table
  `fillsEmptyCells` - `true` if cell elements are filled in empty areas. Otherwise `false`.

## Method Details

### applyStrategy

public void applyStrategy()
Applies different stragegies to the layout table and table element with the given options.